Bug 72178 - (SOUND NM256_AUDIO)Sound does not function with NeoMagic MagicMedia 256AV card
Summary: (SOUND NM256_AUDIO)Sound does not function with NeoMagic MagicMedia 256AV card
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-21 18:31 UTC by Brian Ober
Modified: 2008-08-01 16:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brian Ober 2002-08-21 18:31:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; H010818)

Description of problem:
I have a Dell CPi366 laptop.  When I install RedHat Beta (both Limbo and 
(NULL)) the sound does not work.  When I run the mixer it tells
me that I do not have permission to /dev/mixer.  When I change the permissions 
on the mixer, I still get the same error.

I also tried using 'aumix', but I get the same type of error (both as root and 
as a normal user).

When I use the sound card configuration tool, I see the following:

Vendor: Neomagic Corporation
Model: [MagicMedia 256AV Audio]
Module: nm256_audio

I press the "Play test sound" button and hear nothing.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try to play sound :-)
2.
3.
	

Actual Results:  Nothing.  That's the problem.

Expected Results:  I expected sound.  Or some error indicating why sound could 
not
be produced.

Additional info:

Comment 1 Christopher Seaman 2002-10-04 12:32:00 UTC
I have this same problem with my sony Vaio Z505RX with both null and psyche.  I got sound again by using sndconfig as follows:

1)  start sndconfig as root
2)  went  through automatic configuration (doesn't play test sound)
3)  go through manual configuration (default values choose nm256_audio)
4)  system plays test sound and sound consistently works until reboot

i should also note that i could barely here the sound at first because my bios had the volume set low on boot.

Also running redhat-config-soundcard from a console instead of the menu gave me error messages about sox and /dev/dsp, i'll post the exact 
wording later

Comment 2 Bugzilla owner 2004-09-30 15:39:51 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.